Create Call Transfer Action
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"phone_number": "<string>",
"webhook": {
"extension_enabled": true
},
"speech": "<string>",
"runBeforeCall": true
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions"
payload = {
"name": "<string>",
"description": "<string>",
"action_timing": "<string>",
"type": "<string>",
"phone_number": "<string>",
"webhook": { "extension_enabled": True },
"speech": "<string>",
"runBeforeCall": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
action_timing: '<string>',
type: '<string>',
phone_number: '<string>',
webhook: {extension_enabled: true},
speech: '<string>',
runBeforeCall: true
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"action_id": "<string>",
"name": "<string>",
"type": "<string>"
}
}Create-Action
Create Call Transfer Action
Create call transfer actions to human agents during conversations.
POST
/
v2
/
_actions
Create Call Transfer Action
Authorizations
Enter your ContactSwing JWT Bearer token.
Request Body
Action display name. Example:
My Call Transfer ActionAction purpose. Example:
Transfer to human when user requests agent or is unhappyWhen to trigger:
"DURING"Action type:
"CALL_TRANSFER"Destination phone number. Example:
"12817126508"Webhook configuration
Enable extension support. Example: false
Custom speech prompt before transfer
Execute actions before transfer
Webhook Configuration
Enable extension dialing
Response
201 Created - Call transfer action created successfullyRequest context ID
⌘I

